﻿using MultiLayout;
using MultiLayout.UiModule;
using System.Windows.Media;
using Unity;

namespace FLY.Thick.Base.UI.CustomMenu
{
    public class WarningMenu : IMenu
    {
        public string Title => "全局报警";

        public Brush Brush { get; set; }




        IUnityContainer container;
        public WarningMenu(IUnityContainer container)
        {
            this.container = container;

            Brush = Brushes.Red;

        }

        public void OnClick()
        {
            var p = this.container.Resolve<PgErrorsTable>();
            FlyLayoutManager.NavigationService.Navigate(p);

        }
    }
}
